Package org.eclipse.birt.report.engine.api.script.element

# Interface IMasterPage

All Superinterfaces:
  `IDesignElement`, `IReportElement`

public interface IMasterPage extends IReportElement
Represents a master page in the scripting environment

## Method Summary

Modifier and Type
Method
Description
`String`
`getPageType()`
Returns page size type.
`void`
`setPageType(String pageType)`
Sets page size type.

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IDesignElement

`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.element.IReportElement

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getName, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setName`

## Method Details

### getPageType

String getPageType()
Returns page size type.

Returns:
  page size type

### setPageType

void setPageType(String pageType) throws org.eclipse.birt.report.model.api.activity.SemanticException
Sets page size type.

Parameters:
  `pageType` - page size type
Throws:
  `org.eclipse.birt.report.model.api.activity.SemanticException`